package com.supervision.manage.controller;


import cn.hutool.core.util.StrUtil;
import com.supervision.exception.BusinessException;
import com.supervision.manage.pojo.vo.DiseaseVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.TimeoutException;

@Api(tags = "疾病管理")
@RestController
@RequestMapping("disease")
@RequiredArgsConstructor
public class DiseaseController {

    @ApiOperation("新增疾病")
    @PostMapping("/save")
    public String saveRasaFile(@RequestBody DiseaseVo diseaseVo) {

        return "id";

    }


    @ApiOperation("查询疾病列表")
    @GetMapping("/queryPageList")
    public List<DiseaseVo> queryPageList(@RequestParam(defaultValue = "1")Integer pageNum,
                                         @RequestParam(defaultValue = "1")Integer pageSize,
                                         @RequestParam DiseaseVo diseaseVo) {

        return null;

    }


    @ApiOperation("保存体格检查信息")
    @PostMapping("/savePhysical")
    public String savePhysical(DiseaseVo diseaseVo) {

        return null;

    }

    @ApiOperation("分页查询疾病体格检查列表信息")
    @GetMapping("/queryPagePhysicalList")
    public List<DiseaseVo> queryPagePhysicalList(DiseaseVo diseaseVo) {

        return null;

    }


    @ApiOperation("保存辅助检查信息")
    @GetMapping("/saveAncillary")
    public List<DiseaseVo> saveAncillary(DiseaseVo diseaseVo) {

        return null;

    }


    @ApiOperation("分页查询疾病辅助检查列表信息")
    @GetMapping("/queryPageAncillaryList")
    public List<DiseaseVo> queryPageAncillaryList(DiseaseVo diseaseVo) {

        return null;

    }

    @ApiOperation("保存问题库信息")
    @GetMapping("/saveQuestionList")
    public List<DiseaseVo> saveQuestionList(DiseaseVo diseaseVo) {

        return null;

    }

    @ApiOperation("分页查询疾病问题库信息")
    @GetMapping("/queryPageQuestionList")
    public List<DiseaseVo> queryPageQuestionList(DiseaseVo diseaseVo) {

        return null;

    }

    @ApiOperation("保存处置信息")
    @GetMapping("/saveTreatmentPlan")
    public List<DiseaseVo> saveTreatmentPlan(DiseaseVo diseaseVo) {

        return null;

    }


    @ApiOperation("分页查询疾病处置信息")
    @GetMapping("/queryPageTreatmentPlanList")
    public List<DiseaseVo> queryPageTreatmentPlanList(DiseaseVo diseaseVo) {

        return null;

    }

}
