package com.supervision.manage.controller;

import com.supervision.manage.pojo.vo.ConfigTreatmentPlanWrapVo;
import com.supervision.manage.pojo.vo.DiseaseVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "处置计划管理")
@RestController
@RequestMapping("treatmentPlan")
@RequiredArgsConstructor
public class TreatmentPlanController {

    @ApiOperation("查询疾病列表")
    @GetMapping("/queryList")
    public ConfigTreatmentPlanWrapVo queryList(@RequestParam("处置方式") Integer disposalMethod) {

        return null;

    }

}
